package com.jkzl.cosharp.hello.controller;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by l4qiang on 2017-07-20.
 */
@RestController
@RequestMapping("/")
@RefreshScope
public class HelloController {
    @Value("${hello}")
    private String hello;

    @RequestMapping(value = "/hello", method = RequestMethod.GET)
    public String hello() {
        return this.hello;
    }
}
